Download OpenAPI specification:Download
::: caution Deprecation Notice This API version (v1.0) will be deprecated after 31/12/2025. Please migrate to Version 2.0 for continued support and new features. :::
This documentation covers Version 1.0 of the Barikoi API, which is scheduled for deprecation. We strongly recommend: - Migrating to Version 2.0 for all new implementations - Planning to upgrade existing implementations before the deprecation date - Reviewing the Version 2.0 documentation for improved features and endpoints
If you're still using Version 1.0, here's the documentation for reference. Note that no new features will be added to this version.
The currently listed places API's are for autocomplete, post office autocomplete, geocoding, reverse geocoding, nearby, distance & rupantor geocoder. And City Corporation API's are Ward by Geolocation, Zone by Geolocation, Ward and Zone by Geolocation, City Corporation by Geolocation services.
Version 1 will be deprecated after 31/12/2025; therefore, it is strongly advised that everyone switch to Version 2.
For any query or tech support please mail at support@barikoi.com
This API initially returns id, address, area, city, distance_within_meters without any additional call
| api_key required | string API_KEY |
| longitude required | number 90.35722628659195 |
| latitude required | number 23.806703092211507 |
| country_code | string The two-letter country code (ISO Alpha-2) representing the desired country. Example: Default Value: |
| district | boolean true |
| post_code | boolean true |
| country | boolean true |
| sub_district | boolean true |
| union | boolean true |
| pauroshova | boolean true |
| location_type | boolean true |
| division | boolean true |
| address | boolean true |
| area | boolean true |
| bangla | boolean true |
curl --location 'https://barikoi.xyz/v1/api/search/reverse/API_KEY/geocode?longitude=90.36744611263278&latitude=23.81970957278533&district=true&post_code=true&country=true&sub_district=true&union=true&pauroshova=true&location_type=true&division=true&address=true&area=true&bangla=true'
{- "place": {
- "id": 6488,
- "distance_within_meters": 3.6856,
- "address": "House 8, Road 2, Block C, Section 2, Mirpur, Dhaka",
- "area": "Mirpur",
- "city": "Dhaka",
- "postCode": "1216",
- "address_bn": "বাড়ি ৮, রোড ২, ব্লক সি, সেকশন ২, মিরপুর, ঢাকা",
- "area_bn": "মিরপুর",
- "city_bn": "ঢাকা",
- "country": "বাংলাদেশ",
- "division": "ঢাকা",
- "district": "ঢাকা",
- "sub_district": "পল্লবী",
- "pauroshova": null,
- "union": null,
- "location_type": "শহর",
- "address_components": {
- "place_name": null,
- "house": "House 8",
- "road": "Road 2"
}, - "area_components": {
- "area": "Mirpur",
- "sub_area": "Section 2"
}, - "thana": "Mirpur",
- "thana_bn": "মিরপুর"
}, - "status": 200
}This API initially returns id, address, area, city, distance_within_meters without any additional call
| api_key required | string API_KEY |
| longitude required | number 90.35722628659195 |
| latitude required | number 23.806703092211507 |
| district | boolean true |
| post_code | boolean true |
| country | boolean true |
| sub_district | boolean true |
| union | boolean true |
| pauroshova | boolean true |
| location_type | boolean true |
| division | boolean true |
| address | boolean true |
| area | boolean true |
curl --location 'https://barikoi.xyz/v1/api/search/reverse/geocode/server/API_KEY/place?longitude=90.36744611263278&latitude=23.81970957278533&district=true&post_code=true&country=true&sub_district=true&union=true&pauroshova=true&location_type=true&division=true&address=true&area=true'
{- "place": {
- "id": 534001,
- "distance_within_meters": 3.9083,
- "address": "House 20, Avenue 3, Lane 25, Block D, Section 11",
- "area": "Mirpur",
- "city": "Dhaka",
- "postCode": 1216,
- "country": "Bangladesh",
- "division": "Dhaka",
- "sub_district": "Pallabi",
- "district": "Dhaka",
- "pauroshova": null,
- "union": null,
- "location_type": "Urban",
- "address_components": {
- "place_name": null,
- "house": "House 20",
- "road": "Avenue 3"
}, - "area_components": {
- "area": "Mirpur",
- "sub_area": "Section 11"
}
}, - "status": 200
}Barikoi Autocomplete return's a place's id, longitude, latitude, address, city, area, postCode, pType & uCode
| api_key required | string API_KEY |
| q required | string q |
| country_code | string The two-letter country code (ISO Alpha-2) representing the desired country. Example: Default Value: |
| city | string dhaka |
| area | string Mirpur |
| sub_district | boolean true |
| thana | boolean true |
| union | boolean true |
| sub_area | boolean true |
| bangla | boolean true |
| post_office | boolean true |
| industrial | boolean true |
curl --location 'https://barikoi.xyz/v1/api/search/autocomplete/API_KEY/place?q=nabisco&city=dhaka&post_office=true&industrial=true&bangla=true'
{- "places": [
- {
- "id": 882513,
- "longitude": 90.39752920000001,
- "latitude": 23.726055300000002,
- "address": "Dhaka Medical College Hospital",
- "city": "Dhaka",
- "area": "Dhaka University Campus",
- "postCode": 1000,
- "pType": "Healthcare",
- "uCode": "BXXK5816"
}
], - "status": 200
}| api_key required | string API_KEY |
| longitude required | number 90.35722628659195 |
| latitude required | number 23.806703092211507 |
curl --location 'https://barikoi.xyz/v1/api/distance/API_KEY/90.357238,23.806672/90.357252,23.811626'
{- "Distance": "0.8081 KM",
- "status": 200
}Rupantor Geocoder API for Developers. It formats the given address and searches for the address and gives a status if the address is complete or not. Rupantor Geocoder only supports FormData. So use FormData object to send your data. Rupantor Geocoder needs Geocode API to fucntion properly. One Rupantor Geocoder request requires two Geocode API requests.
| API_KEY required | string API_KEY |
| q required | string matikata rd basa 572/k barikoi |
| thana | boolean yes |
| district | boolean yes |
| bangla | boolean yes |
curl --location 'https://barikoi.xyz/v1/api/search/API_KEY/rupantor/geocode' \ --form 'q="matikata rd basa 572/k barikoi"' \ --form 'thana="yes"' \ --form 'district="yes"' \ --form 'bangla="yes"'
{- "given_address": "shawrapara",
- "fixed_address": "shewrapara, mirpur",
- "bangla_address": "শেওড়াপাড়া কবরস্থান, ইস্ট শেওড়াপাড়া, শেওড়াপাড়া, মিরপুর, ঢাকা",
- "address_status": "incomplete",
- "geocoded_address": {
- "Address": "Shewrapara Koborsthan, East Shewrapara, Shewrapara, Mirpur, Dhaka",
- "address": "Shewrapara Koborsthan, East Shewrapara, Shewrapara, Mirpur, Dhaka",
- "address_bn": "শেওড়াপাড়া কবরস্থান, ইস্ট শেওড়াপাড়া, শেওড়াপাড়া, মিরপুর, ঢাকা",
- "alternate_address": "Shewrapara Koborsthan, East Shewrapara, Shewrapara, Mirpur, Dhaka",
- "area": "Mirpur",
- "area_bn": "মিরপুর",
- "bounds": "POLYGON((90.37576053 23.79175613,90.37567053 23.79184613,90.37558053 23.79175613,90.37567053 23.79166613,90.37576053 23.79175613))",
- "business_name": "Shewrapara Koborsthan",
- "city": "Dhaka",
- "city_bn": "ঢাকা",
- "created_at": "2018-02-06T14:43:12",
- "district": "Dhaka",
- "geo_location": [
- 90.37567053,
- 23.79175613
], - "holding_number": null,
- "id": 221788,
- "latitude": "23.79175613",
- "location": "23.79175613,90.37567053",
- "location_shape": "POINT (90.37567053 23.79175613)",
- "longitude": "90.37567053",
- "match_freq": 10,
- "match_fuzzy": 0,
- "matching_diff": 1,
- "new_address": "Shewrapara Koborsthan, East Shewrapara, Shewrapara, Mirpur, Dhaka",
- "pType": "Religious Place",
- "place_code": "TOLJ0109",
- "popularity_ranking": 1,
- "postCode": 1216,
- "postcode": 1216,
- "road_name_number": null,
- "score": 0,
- "subType": "Graveyard",
- "sub_area": "Shewrapara",
- "sub_district": "Kafrul",
- "sub_type": "Graveyard",
- "super_sub_area": "East Shewrapara",
- "thana": "Kafrul",
- "type": "Religious Place",
- "uCode": "TOLJ0109",
- "union": null,
- "unions": null,
- "updated_at": "2023-10-18T15:20:11",
- "user_id": 1273
}, - "confidence_score_percentage": 70,
- "status": 200
}This api provides routing details for two location points.
| api_key required | string API_KEY |
| coordinates required | string String of format |
| geometries | string Default: "polyline" Returned route geometry format (influences overview and per step). Expected values are, |
curl --location --request GET 'https://barikoi.xyz/v1/api/route/API_KEY/90.362548828125,23.94107556246209;90.31585693359375,24.134221690669204?geometries=polyline'
{- "code": "OK",
- "routes": [
- {
- "geometry": "bqCmhpfPdMaDqEqO`U}MiFc`BueAjZonBlGisJs_@uh@gManAeJaaBzGsZbQ}v@jsAw`@jwAqt@p`BiBtjAvZzhAga@fAmXbQoi@mmA{vA~Ly`CfE",
- "legs": [
- {
- "steps": [ ],
- "distance": 31580.5,
- "duration": 5011.5,
- "summary": "string",
- "weight": 5011.5
}
], - "distance": 31580.5,
- "duration": 5011.5,
- "weight_name": "routability",
- "weight": 5011.5
}
], - "waypoints": [
- {
- "hint": "1M4MgNbODIAAAAAAUQAAAAAAAABWAgAAAAAAAFZN10EAAAAA6SFHQwAAAABRAAAAAAAAAFYCAADlAAAA6tliBeZObQG10mIF1E9tAQAATwsayG8z",
- "distance": 189.684241,
- "name": null,
- "location": [
- 90.364394,
- 23.940838
]
}
]
}| api_key required | string API_KEY |
| point required | string Example: point=23.80474653651567,90.36288913339376 |
curl --location 'https://barikoi.xyz/v1/api/routing/API_KEY/matching?points=90.38436119310136,23.7267599142696%3B90.38438265469962,23.726622279057658'
{- "coordinates": [
- 90.36288583910802,
- 23.80475086627028
], - "distance": 0.5866113852736488,
- "type": "Point"
}| api_key required | string API_KEY |
| points required | string Example: points=90.38436119310136,23.7267599142696;90.38438265469962,23.726622279057658 |
curl --location 'https://barikoi.xyz/v1/api/routing/API_KEY/matching?points=90.38436119310136,23.7267599142696%3B90.38438265469962,23.726622279057658'
{- "geometry": {
- "coordinates": [
- [
- 90.384425,
- 23.726761
], - [
- 90.384427,
- 23.726622
]
], - "type": "LineString"
}, - "distance": 15.5,
- "status": 200
}| api_key required | string API_KEY |
| q required | string dhaka |
curl --location 'https://barikoi.xyz/v1/api/API_KEY/districts?q=Dhaka'
{- "places": [
- {
- "id": 34,
- "name": "Khulna",
- "center": "{\"type\":\"Point\",\"coordinates\":[89.447847757,22.470878222]}"
}
]
}| api_key required | string API_KEY |
| q required | string khilgaon |
curl --location 'https://barikoi.xyz/v1/api/API_KEY/sub_districts?q=Khilgaon'
{- "places": [
- {
- "id": 340,
- "name": "Mirpur",
- "district": "Dhaka",
- "center": "{\"type\":\"Point\",\"coordinates\":[90.361755984,23.794160142]}"
}
]
}| api_key required | string API_KEY |
| q required | string dhaka |
curl --location 'https://barikoi.xyz/v1/api/API_KEY/cities?q=Dhaka'
{- "places": [
- {
- "name": "Dhaka",
- "areas": [
- {
- "name": "Moghbazar"
}, - {
- "name": "Dhaka Cantonment"
}, - {
- "name": "Gendaria"
}, - {
- "name": "Sher E Bangla Nagar"
}, - {
- "name": "Tejgaon"
}, - {
- "name": "Banasree"
}, - {
- "name": "Dakkhinkhan"
}, - {
- "name": "Mohakhali"
}
]
}, - {
- "name": "Joldhaka",
- "areas": [
- { }
]
}
], - "status": 200
}| api_key required | string API_KEY |
| q required | string abaipur |
curl --location 'https://barikoi.xyz/v1/api/API_KEY/unions?q=Abaipur'
{- "places": [
- {
- "id": 1440,
- "name": "Dhaka Dakkhin",
- "sub_district": "Golabganj",
- "center": "{\"type\":\"Point\",\"coordinates\":[92.035110667,24.811296741]}"
}
]
}| api_key required | string API_KEY |
| longitude required | number 90.35722628659195 |
| latitude required | number 23.806703092211507 |
curl --location 'https://barikoi.xyz/v1/api/search/ward/API_KEY/90.357238/23.806672'
[- {
- "Ward": 7
}
]| api_key required | string API_KEY |
| longitude required | number 90.35722628659195 |
| latitude required | number 23.806703092211507 |
curl --location 'https://barikoi.xyz/v1/api/search/zone/API_KEY/90.357238/23.806672'
[- {
- "Zone": 2
}
]| api_key required | string API_KEY |
| longitude required | number 90.35722628659195 |
| latitude required | number 23.806703092211507 |
curl --location 'https://barikoi.xyz/v1/api/search/ward/zone/API_KEY/90.357238/23.806672'
{- "ward": 7,
- "ward area": "{\"type\": \"Polygon\", \"coordinates\": [[[90.366213, 23.815692], [90.366953, 23.812939], [90.367616, 23.810559], [90.367781, 23.809919], [90.367905, 23.809467], [90.368214, 23.808347], [90.368475, 23.807438], [90.368488, 23.807388], [90.368568, 23.807089], [90.368485, 23.807074], [90.367573, 23.806866], [90.366942, 23.806706], [90.366865, 23.806684], [90.366787, 23.806672], [90.366232, 23.80652], [90.365963, 23.806441], [90.365687, 23.806311], [90.365108, 23.806016], [90.364421, 23.805636], [90.363533, 23.805096], [90.362932, 23.804733], [90.362015, 23.804151], [90.360848, 23.803413], [90.35955, 23.802584], [90.358351, 23.801803], [90.357756, 23.801423], [90.357077, 23.800988], [90.356745, 23.800775], [90.356026, 23.800323], [90.355967, 23.800281], [90.355285, 23.799847], [90.355065, 23.800176], [90.35476, 23.800618], [90.354457, 23.801035], [90.353916, 23.801826], [90.353375, 23.802613], [90.352968, 23.803212], [90.352523, 23.803857], [90.352153, 23.804365], [90.351777, 23.804927], [90.351689, 23.80518], [90.351641, 23.805388], [90.351569, 23.806026], [90.351112, 23.807526], [90.354567, 23.809209], [90.353773, 23.809533], [90.353622, 23.810132], [90.354148, 23.810377], [90.354159, 23.810603], [90.354041, 23.81079], [90.353655, 23.810897], [90.353408, 23.810867], [90.352924, 23.813075], [90.35491, 23.813793], [90.35475, 23.814563], [90.354568, 23.814971], [90.356037, 23.815354], [90.357506, 23.815736], [90.357828, 23.815167], [90.358622, 23.815088], [90.358686, 23.813581], [90.35933, 23.812713], [90.361196, 23.812654], [90.362447, 23.814799], [90.363237, 23.815187], [90.366213, 23.815692]]]}",
- "zone": 2
}| api_key required | string API_KEY |
| longitude required | number 90.35722628659195 |
| latitude required | number 23.806703092211507 |
curl --location 'https://barikoi.xyz/v1/api/search/dncc/API_KEY/90.357238/23.806672'
{- "message": "dncc",
- "status": 200
}